using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    /// <summary>
    /// 教材数据传输对象
    /// </summary>
    public class TextbookDto
    {
        public Guid Id { get; set; }

        [Required(ErrorMessage = "教材标题是必填项。")]
        [StringLength(100, ErrorMessage = "教材标题不能超过 100 个字符。")]
        public string Title { get; set; }

        [Required(ErrorMessage = "年级是必选项。")]
        public string Grade { get; set; }

        [Required(ErrorMessage = "出版社是必选项。")]
        public string Publisher { get; set; }

        [Required(ErrorMessage = "学科领域是必选项。")]
        public string SubjectArea { get; set; }

        public string Description { get; set; }
    }
}
